# Url Tracking Api Client

[![Build Status](https://travis-ci.org/TINYhr/url_tracking_api_client.svg?branch=master)](https://travis-ci.org/TINYhr/url_tracking_api_client)

Ruby API Client for [Url Tracking](https://url-tracking.tinypulse.com)

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'url_tracking_api_client'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install url_tracking_api_client

## Usage

* Add ENV for api url & Authorization token
```bash
URL_TRACKING_API_URL='https://url-tracking.tinypulse.com'
URL_TRACKING_CLIENT_TOKEN='JWT token generated by our SECRET'
```

* Create a tracking Url
```ruby
UrlTrackingApiClient::Tracking.create(
	url: 'https://app.tinypulse.com/',
	receiver_id: 1,
	ornigazation_id: 2,
	tag: 'tracking_tag'
)
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/tinyhr/url_tracking_api_client.
